Skip to content

Control your phone

Remotely control your phone

HTTP: User Auth in Basic Header

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password)

HTTP Authorization Scheme
basic
API Key: User Auth Password inQuery

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password) Alternative for HTTP Basic Auth password for clients who don't support Headers'

Parameter name
password
Located in
query
API Key: User Auth Username in Query

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password) Alternative for HTTP Basic Auth username for clients who don't support Headers'

Parameter name
username
Located in
query
debugAmiTrace query · boolean
Display the debug trace from asterisk manager
action query · enum *
Action to be performed
enum: Answer Reject Hangup Hold
sip_device_id query · uuid *
Id of the sip device you want to perform the action from

Responses

Action Performed
Response schema
No response body.
Bad Request - Request validation failed
Response schema
No response body.
get https://{username}.voxbi.cloud/api/{version}/phoneControl/action
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/phoneControl/action' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/phoneControl/action', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/phoneControl/action',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/phoneControl/action', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.
No example for this status.